Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.el.parser
Class AstTrue

    java.lang.Object
      org.apache.struts2.el.lang.ELSupport
          org.apache.struts2.el.parser.SimpleNode
              org.apache.struts2.el.parser.BooleanNode
                  org.apache.struts2.el.parser.AstTrue

All Implemented Interfaces:
  Node

    public final class AstTrue

extends BooleanNode

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: markt $
Author:
  Jacob Hookom [jacob@hookom.net]

Field Summary

Fields inherited from class org.apache.struts2.el.parser.SimpleNode
`children, id, image, parent`

Constructor Summary
`AstTrue(int id)`

Method Summary
`Object` | `getValue(EvaluationContext ctx)`

Methods inherited from class org.apache.struts2.el.parser.BooleanNode
`getType`

Methods inherited from class org.apache.struts2.el.parser.SimpleNode
`accept, dump, getImage, getMethodInfo, invoke, isReadOnly, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, setValue, toString, toString`

Methods inherited from class org.apache.struts2.el.lang.ELSupport
`checkType, coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, containsNulls, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isDoubleStringOp, isLongOp, isStringFloat, throwUnhandled, toFloat, toNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AstTrue

    public AstTrue(int id)

Method Detail

### getValue

    public Object getValue(EvaluationContext ctx)
                    throws javax.el.ELException

  Specified by:
    `getValue` in interface `Node`
  Overrides:
    `getValue` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.